package com.ruoyi.system.domain.communityNews;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社区资讯评论对象 comment_index
 * 
 * @author boman
 * @date 2025-02-25
 */
public class CommentIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 社区资讯评论ID */
    private Long commentId;

    /** 社区资讯ID */
    @Excel(name = "社区资讯ID")
    private Long communityId;

    /** 社区资讯标题 */
    @Excel(name = "社区资讯标题")
    private String communityTitle;

    /** 社区资讯类型（1：公告 2：通知 3：资讯） */
    @Excel(name = "社区资讯类型", readConverterExp = "1=：公告,2=：通知,3=：资讯")
    private String communityType;

    /** 根评论id 1:根评论 2：子评论 */
    @Excel(name = "根评论id 1:根评论 2：子评论")
    private Integer isRoot;

    /** 父评论id */
    @Excel(name = "父评论id")
    private Long parentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 所回复目标评论的用户id */
    @Excel(name = "所回复目标评论的用户id")
    private Long toUserId;

    /** 所回复目标评论的用户昵称 */
    @Excel(name = "所回复目标评论的用户昵称")
    private String toNickName;

    /** 所回复目标评论的头像地址 */
    @Excel(name = "所回复目标评论的头像地址")
    private String toAvatar;
    /**
     * 是否是二级回复的回复 Y:是 N:否
     */
    private String toRoot;
    /**
     * 是否是自己的评论
     */
    private String isMyself;

    /** 内容id */
    @Excel(name = "内容id")
    private Long contentId;

    /** 评论内容(冗余字段) */
    @Excel(name = "评论内容(冗余字段)")
    private String commentContent;

    /** 逻辑删除(Y:已删除，N:未删除) */
    private String delFlag;

    public String getIsMyself() {
        return isMyself;
    }

    public void setIsMyself(String isMyself) {
        this.isMyself = isMyself;
    }

    public String getToRoot() {
        return toRoot;
    }

    public void setToRoot(String toRoot) {
        this.toRoot = toRoot;
    }

    public String getCommunityTitle() {
        return communityTitle;
    }

    public void setCommunityTitle(String communityTitle) {
        this.communityTitle = communityTitle;
    }

    public void setCommentId(Long commentId)
    {
        this.commentId = commentId;
    }

    public Long getCommentId() 
    {
        return commentId;
    }
    public void setCommunityId(Long communityId) 
    {
        this.communityId = communityId;
    }

    public Long getCommunityId() 
    {
        return communityId;
    }
    public void setCommunityType(String communityType) 
    {
        this.communityType = communityType;
    }

    public String getCommunityType() 
    {
        return communityType;
    }
    public void setIsRoot(Integer isRoot) 
    {
        this.isRoot = isRoot;
    }

    public Integer getIsRoot() 
    {
        return isRoot;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setToUserId(Long toUserId) 
    {
        this.toUserId = toUserId;
    }

    public Long getToUserId() 
    {
        return toUserId;
    }
    public void setToNickName(String toNickName) 
    {
        this.toNickName = toNickName;
    }

    public String getToNickName() 
    {
        return toNickName;
    }
    public void setToAvatar(String toAvatar) 
    {
        this.toAvatar = toAvatar;
    }

    public String getToAvatar() 
    {
        return toAvatar;
    }
    public void setContentId(Long contentId) 
    {
        this.contentId = contentId;
    }

    public Long getContentId() 
    {
        return contentId;
    }
    public void setCommentContent(String commentContent) 
    {
        this.commentContent = commentContent;
    }

    public String getCommentContent() 
    {
        return commentContent;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return "CommentIndex{" +
                "commentId=" + commentId +
                ", communityId=" + communityId +
                ", communityTitle='" + communityTitle + '\'' +
                ", communityType='" + communityType + '\'' +
                ", isRoot=" + isRoot +
                ", parentId=" + parentId +
                ", userId=" + userId +
                ", nickName='" + nickName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", toUserId=" + toUserId +
                ", toNickName='" + toNickName + '\'' +
                ", toAvatar='" + toAvatar + '\'' +
                ", toRoot='" + toRoot + '\'' +
                ", isMyself='" + isMyself + '\'' +
                ", contentId=" + contentId +
                ", commentContent='" + commentContent + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
